#include "pollingAnalogRead.h"

unsigned long loopCounter = 0;

void setup() {
  Serial.begin(9600);
    for (int i = 5; i > 0; i--) {
    delay(1000);
    Serial.print(F(" "));
    Serial.print(i);
  }
  Serial.println();
  // put your setup code here, to run once:
  pollingAnalogReference(DEFAULT); // set reference all valid analogReference() values are valid here
  triggerAnalogRead(A1); // trigger start of first conversion
}

  // put your main code here, to run repeatedly:
void loop() {
  loopCounter++; // count main loops

  if (isAnalogReadingAvailable()) {
    // conversion finished 
    int reading = getAnalogReading(); // pick up reading
    // print out loop count and reading
    Serial.print(F("Loop count:"));
    Serial.print(loopCounter);
    Serial.print(F("  Reading:"));
    Serial.println(reading);

    loopCounter = 0; // reset loop counter
    triggerAnalogRead(A1); // start another conversion
  }  
}


